package com.saye.hrs.service;

import com.saye.hrs.model.BodyDivision;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: 症状管理业务接口
 * @author: Mr.zs
 * @create: 2024-04-09 17:09
 **/
public interface SymptomService {

    List<HashMap<Object, Object>> findAllSymptom(Map<String, String> searchMap);


    List<BodyDivision> findAllBodyArea();

    void addSymptom(HashMap<Object, Object> map);

    Integer findMaxId();

    void modifySymptom(HashMap<Object, Object> map);

    void delSymptom(HashMap<Object, Object> map);


    List<HashMap<Object, Object>> getSymptomByAreaType(HashMap<Object, Object> searchMap);

    List<BodyDivision> findAreaTypeBySexAdult(Map<String, String> searchMap);
}
